# eric3.VCS.subversionPackage.PropListDialog

Module implementing a dialog to show the output of the svn proplist command process.

### Classes

SvnPropListDialog | Module implementing a dialog to show the output of the svn proplist command process.

### Functions

None

## SvnPropListDialog

Module implementing a dialog to show the output of the svn proplist command process.

### Derived from

PropListForm

### Methods

SvnPropListDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
closeEvent | Private slot implementing a close event handler.
finish | Private slot called when the process finished or the user pressed the button.
handleProcessExited | Private slot to handle the processExited signal.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
start | Public slot to start the svn status command.

### SvnPropListDialog (Constructor)

SvnPropListDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### SvnPropListDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### SvnPropListDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

### SvnPropListDialog.finish

finish()

Private slot called when the process finished or the user pressed the button.

### SvnPropListDialog.handleProcessExited

handleProcessExited()

Private slot to handle the processExited signal. Just call finish().

### SvnPropListDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal. It reads the error output of the process and inserts it into the error pane.

### SvnPropListDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal. It reads the output of the process, formats it and inserts it into the contents pane.

### SvnPropListDialog.start

start(fn, recursive = 0)

Public slot to start the svn status command.

fn
  filename(s) (string or list of string)
recursive
  flag indicating a recursive list is requested

Up